class DockerCompose

    def self.generate_yaml(dist_file_path, app_name, duty, port, image)
        branch = `git rev-parse --abbrev-ref HEAD`.strip
        commit = `git rev-parse --short HEAD`.strip
        path = File.dirname(dist_file_path)
        filename = "#{path}/#{app_name}-#{branch}-#{commit}_#{duty}.yaml"

        dist = File.read(dist_file_path)

        dist = dist.gsub('<port>', port.to_s)
        dist = dist.gsub('<image>', image)

        out_file = File.new(filename, 'w')
        out_file.puts(dist)
        out_file.close

        puts "Generated: #{filename} \n Contents: #{dist}"

        return out_file
    end

    def self.pull_containers(project_name, compose_file)

    end

    def self.stop_containers(project_name, compose_file)

    end

    def self.start_containers(project_name, compose_file)

    end
end