class Infrastructure

    def self.google_cloud_platform(project_name, app_name)
        credentials = ENV['GOOGLE_CLOUD_KEYFILE']
        unless credentials
            puts 'Google Cloud credentials file not set. Run export GOOGLE_CLOUD_KEYFILE=<your_keyfile>.json'
            exit 1
        end
        GoogleCloudPlatform.new(project_name, app_name, credentials)
    end
end

require 'infrastructure/google_cloud_platform/google_cloud_platform'